#include <stdio.h>
#include "type.h"

/*******************************************************************

			funct_list()

********************************************************************

Function returns pointer to a function returning an ABCD matrix
given a string which is the name of that function
*/

PFM funct_list(name)

STRING name;

{
	ABCD line(),series_r(),shunt_r(),shunt_c(),series_c(),
	transformer(),pulse(),biphase(),series_l(),delay(),
	butterworth(),file();

	if(strcmp(name,"line") == 0)
		return(line);
	else if(strcmp(name,"file") == 0)
		return(file);
	else if(strcmp(name,"series_r") == 0)
		return(series_r);
	else if(strcmp(name,"shunt_r") == 0)
		return(shunt_r);
	else if(strcmp(name,"shunt_c") == 0)
		return(shunt_c);
	else if(strcmp(name,"series_c") == 0)
		return(series_c);
	else if(strcmp(name,"series_l") == 0)
		return(series_l);
	else if(strcmp(name,"transformer") == 0)
		return(transformer);
	else if(strcmp(name,"pulse") == 0)
		return(pulse);
	else if(strcmp(name,"biphase") == 0)
		return(biphase);
	else if(strcmp(name,"butterworth") == 0)
		return(butterworth);
	else if(strcmp(name,"delay") == 0)
		return(delay);
	else return(NULL);
}
